<div
  class="slide-item-container"
  [ngClass]="slide?.deleted ? 'disabled' : (selectedSlide === slide.id ? 'single-selected-option' : '')"
  [appCopyToClipboard]="slide"
  (click)="selected()">
  <div class="grid-container">
    <div *ngIf="slide?.deleted; else thumbnail">
      <div class="grid-item deleted">
        <div class="deleted-fallback">DELETED</div>
      </div>
    </div>
    <ng-template #thumbnail>
      <div class="grid-item img-min-max">
        <app-slide-image-item
          imageType="thumbnail"
          [slideImage]="slideImage"
          fallbackImage="../assets/fallback.jpg">
        </app-slide-image-item>
      </div>
    </ng-template>
    <div class="grid-item item-padding">
      <div
        class="slide-midi-data-width grid-item-composition"
        [matTooltip]="'Id: ' + slide?.id + '\nLocal id: ' + slide?.local_id">
        <b class="left-align text-clamp">
          {{slide?.local_id ?? slide?.id}}
        </b>
        <div
          class="slide-midi-data-width grid-item-composition"
          [matTooltip]="'Tissue: ' + (slide?.tissue | dictParser)">
          <span class="text-clamp">{{slide?.tissue | dictParser}}</span>
        </div>
        <div class="slide-midi-data-width grid-row-item">
          <span [matTooltip]="'Block: ' + slide?.block" class="left-align text-clamp">
            {{slide?.block}}
          </span>
          <span [matTooltip]="'Stain: ' + (slide?.stain | dictParser)" class="right-align text-clamp">
            {{slide?.stain | dictParser}}
          </span>
        </div>
      </div>
    </div>
  </div>
</div>
